[SRU] Backport awscli 1.11.13-1 (universe) from Debian unstable (main)

Bug #1642730 reported by Kamal Mostafa
10
This bug affects 1 person
Affects Status Importance Assigned to Milestone
awscli (Ubuntu)
Fix Released
Wishlist
Kamal Mostafa
Xenial
Fix Released
High
Kamal Mostafa
Yakkety
Fix Released
High
Kamal Mostafa
python-botocore (Ubuntu)
Fix Released
Undecided
Unassigned
Xenial
Fix Released
Undecided
Unassigned
Yakkety
Fix Released
Undecided
Unassigned
python-s3transfer (Ubuntu)
Fix Released
Undecided
Unassigned
Xenial
Fix Released
Undecided
Unassigned
Yakkety
Fix Released
Undecided
Unassigned

Bug Description

Please sync awscli 1.11.13-1 (universe) from Debian unstable (main)

[Impact]

 * The Amazon EC2 "Elastic Network Adapter" ('ENA') driver has recently been
   SRU'd into most supported Ubuntu kernels (>= Trusty) via LP: #1635721.
   However, to actually enable the ENA hardware on an EC2 instance requires
   use of an 'awscli' userspace command:

        aws ec2 modify-instance-attribute --ena-support ...

   as documented here:
   http://docs.aws.amazon.com/AWSEC2/latest/UserGuide/enhanced-networking-ena.html

   The "modify-instance-attribute --ena-support" feature first appears in
   the latest Debian (or Zesty) version of awscli and its dependencies. We
   need the feature for Xenial and Yakkety.

 * This set of three packages sync'ed from Debian is required, and
   work fine in Xenial and Yakkety (a solution for trusty is t.b.d).
   Note that Zesty already carries these exact package versions:

 awscli (1.11.13-1)
 python-botocore (1.4.70-1)
 python-s3transfer (0.1.9-1)

 * As a bonus this will also resolve an unrelated bug report:
     LP: #1566352 "AWSCLI doesn't support S3 in eu-central-1"

[Test Case]

 * Simple test: Check whether modify-instance-attribute mentions the feature:
   $ aws ec2 modify-instance-attribute help | grep ena-support
 [--ena-support | --no-ena-support] <-- yes
 {no output} <-- no

 * Full test: Launch an x1.32xlarge large instance with Ubuntu kernel version
   >= xenial (4.4.0-47.68) or trusty (3.13.0-102.149), then follow AWS doc
   url above to enable and verify --ena-support.

[Regression Potential]

 * Updating awscli and python-botocore could possibly introduce regressions
   in the myriad features they provide, but we believe these packages to be
   backwards-compatible and well-tested upstream. The newer versions are
   known to be widely used by Ubuntu users (e.g. installed from upstreams'
   github). Any regressions would likely be reported to us (very quickly)
   by AWS users.

 * python-s3transfer is new as of Zesty so no regression potential is
   expected for X and Y (the new awscli package depends on python-s3transfer).

 * These packages (both old and new versions) have no Ubuntu-specific
   divergence from Debian, so updating them all (X, Y, Z, and Debian)
   to the same modern upstream baseline seems robust and safe.

Changelog entries since current xenial version 1.10.1-1:

awscli (1.11.13-1) unstable; urgency=medium

  * New upstream version 1.11.13 (Closes: #819451)
  * debian/patches: Refresh patches.

 -- TANIGUCHI Takaki <email address hidden> Thu, 10 Nov 2016 19:50:29 +0900

awscli (1.11.7-2) unstable; urgency=medium

  * debian/control: add python3-s3tranfert to B-D. (Closes: #841064)

 -- TANIGUCHI Takaki <email address hidden> Sun, 23 Oct 2016 21:31:02 +0900

awscli (1.11.7-1) unstable; urgency=medium

  * debian/control: Update Vcs-* to new git repository.
  * New upstream version 1.11.7

 -- TANIGUCHI Takaki <email address hidden> Thu, 20 Oct 2016 16:29:01 +0900

awscli (1.11.2-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 3.9.8
  * debian/rules: Change to library style layout.
  * debian/links: link from doc direcotory.
  * debian/control: Move to under DPMT.

 -- TANIGUCHI Takaki <email address hidden> Sun, 16 Oct 2016 19:05:50 +0900

Changed in awscli (Ubuntu):
importance: Undecided → Wishlist
Changed in awscli (Ubuntu Xenial):
importance: Undecided → High
Changed in awscli (Ubuntu Yakkety):
importance: Undecided → High
Revision history for this message
Kamal Mostafa (kamalmostafa) wrote :

Associated sync requests for this SRU package set:

   awscli (this bug)
   python-botocore LP: #1642732
   python-s3transfer LP: #1642733

Revision history for this message
Adam Conrad (adconrad) wrote :

We can't sync those source versions to << zesty, as it's (rightly) impossible to have identical-versioned binary packages with different contents in the archive, and I'm not taking it on faith that the zesty binaries would magically work in older releases.

Syncing to zenial and copying forward might have worked, but that ship has sailed.

What you need to do is to prepare SRU uploads that are backports with versions like:

1.11.13-1~16.04.0
1.11.13-1~16.10.0

Those should be identical to the version you want synced, but with a new changelog entry with the above version, and a "Backport to $series because $reason (LP: #thisbug)" entry. Similar things need to happen for the deps too.

summary: - [SRU] Sync awscli 1.11.13-1 (universe) from Debian unstable (main)
+ [SRU] Backport awscli 1.11.13-1 (universe) from Debian unstable (main)
Changed in awscli (Ubuntu):
assignee: nobody → Kamal Mostafa (kamalmostafa)
Changed in awscli (Ubuntu Xenial):
assignee: nobody → Kamal Mostafa (kamalmostafa)
Changed in awscli (Ubuntu Yakkety):
assignee: nobody → Kamal Mostafa (kamalmostafa)
Revision history for this message
Kamal Mostafa (kamalmostafa) wrote :

No-change backport packages (awscli, and its two deps) targetting X and Y are available for testing here:
https://launchpad.net/~kamalmostafa/+archive/ubuntu/awscli/+packages

Revision history for this message
Kamal Mostafa (kamalmostafa) wrote :

The no-change backport packages (awscli, python-botocore, python-s3transfer) for X and Y have now been installed and tested under various workflows by members of the Canonical Kernel team and the Canonical CPC team for a couple of weeks with no problems reported. We believe that these packages are fully backwards-compatible upgrades, and are ready to be promoted into X and Y:
https://launchpad.net/~kamalmostafa/+archive/ubuntu/awscli/+packages

Adam Conrad (adconrad)
Changed in awscli (Ubuntu):
status: New → Fix Released
Changed in python-botocore (Ubuntu):
status: New → Fix Released
Changed in python-s3transfer (Ubuntu):
status: New → Fix Released
Revision history for this message
Adam Conrad (adconrad) wrote : Please test proposed package

Hello Kamal, or anyone else affected,

Accepted python-s3transfer into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/python-s3transfer/0.1.9-1~16.04.0 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in python-s3transfer (Ubuntu Xenial):
status: New → Fix Committed
tags: added: verification-needed
Changed in python-s3transfer (Ubuntu Yakkety):
status: New → Fix Committed
Revision history for this message
Adam Conrad (adconrad) wrote :

Hello Kamal, or anyone else affected,

Accepted python-s3transfer into yakkety-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/python-s3transfer/0.1.9-1~16.10.0 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in python-botocore (Ubuntu Xenial):
status: New → Fix Committed
Revision history for this message
Adam Conrad (adconrad) wrote :

Hello Kamal, or anyone else affected,

Accepted python-botocore into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/python-botocore/1.4.70-1~16.04.0 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in python-botocore (Ubuntu Yakkety):
status: New → Fix Committed
Revision history for this message
Adam Conrad (adconrad) wrote :

Hello Kamal, or anyone else affected,

Accepted python-botocore into yakkety-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/python-botocore/1.4.70-1~16.10.0 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Revision history for this message
Adam Conrad (adconrad) wrote :

Hello Kamal, or anyone else affected,

Accepted awscli into yakkety-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/awscli/1.11.13-1~16.10.0 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Changed in awscli (Ubuntu Yakkety):
status: New → Fix Committed
Changed in awscli (Ubuntu Xenial):
status: New → Fix Committed
Revision history for this message
Adam Conrad (adconrad) wrote :

Hello Kamal, or anyone else affected,

Accepted awscli into xenial-proposed. The package will build now and be available at https://launchpad.net/ubuntu/+source/awscli/1.11.13-1~16.04.0 in a few hours, and then in the -proposed repository.

Please help us by testing this new package. See https://wiki.ubuntu.com/Testing/EnableProposed for documentation on how to enable and use -proposed.Your feedback will aid us getting this update out to other Ubuntu users.

If this package fixes the bug for you, please add a comment to this bug, mentioning the version of the package you tested, and change the tag from verification-needed to verification-done. If it does not fix the bug for you, please add a comment stating that, and change the tag to verification-failed. In either case, details of your testing will help us make a better decision.

Further information regarding the verification process can be found at https://wiki.ubuntu.com/QATeam/PerformingSRUVerification . Thank you in advance!

Revision history for this message
Kamal Mostafa (kamalmostafa) wrote :

Verified all five binary packages on Xenial and Yakkety -- all install fine and provide the expected functionality.

tags: added: verification-done
removed: verification-needed
Revision history for this message
Adam Conrad (adconrad) wrote : Update Released

The verification of the Stable Release Update for python-botocore has completed successfully and the package has now been released to -updates. Subsequently, the Ubuntu Stable Release Updates Team is being unsubscribed and will not receive messages about this bug report. In the event that you encounter a regression using the package from -updates please report a new bug using ubuntu-bug and tag the bug report regression-update so we can easily find any regressions.

Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package python-s3transfer - 0.1.9-1~16.04.0

---------------
python-s3transfer (0.1.9-1~16.04.0) xenial; urgency=medium

  * No-change backport to Xenial: required for awscli (1.11.13) (LP: #1642730)

python-s3transfer (0.1.9-1) unstable; urgency=medium

  * New upstream version 0.1.9

python-s3transfer (0.1.8-1) unstable; urgency=medium

  * Initial release. (Closes: #840662)

 -- Kamal Mostafa <email address hidden> Tue, 22 Nov 2016 14:20:34 -0800

Changed in python-s3transfer (Ubuntu Xenial):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package awscli - 1.11.13-1~16.04.0

---------------
awscli (1.11.13-1~16.04.0) xenial; urgency=medium

  * No-change backport to Xenial:
    - This awscli update is required to support the Amazon EC2 "Elastic
      Network Adapter" ('ENA') driver (LP: #1642730)
    - Fix "AWSCLI doesn't support S3 in eu-central-1" (LP: #1566352)

awscli (1.11.13-1) unstable; urgency=medium

  * New upstream version 1.11.13 (Closes: #819451)
  * debian/patches: Refresh patches.

awscli (1.11.7-2) unstable; urgency=medium

  * debian/control: add python3-s3tranfert to B-D. (Closes: #841064)

awscli (1.11.7-1) unstable; urgency=medium

  * debian/control: Update Vcs-* to new git repository.
  * New upstream version 1.11.7

awscli (1.11.2-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 3.9.8
  * debian/rules: Change to library style layout.
  * debian/links: link from doc direcotory.
  * debian/control: Move to under DPMT.

 -- Kamal Mostafa <email address hidden> Tue, 22 Nov 2016 14:33:43 -0800

Changed in awscli (Ubuntu Xenial):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package python-botocore - 1.4.70-1~16.10.0

---------------
python-botocore (1.4.70-1~16.10.0) yakkety; urgency=medium

  * No-change backport to Yakkety: required for awscli (1.11.13) (LP: #1642730)

python-botocore (1.4.70-1) unstable; urgency=medium

  * New upstream version 1.4.70
  * debian/patches: Refresh patches.

python-botocore (1.4.64-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ TANIGUCHI Takaki ]
  * New upstream version 1.4.64

python-botocore (1.4.60-1) unstable; urgency=medium

  * New upstream release (Closes: #833014)
  * Bump Standards-Version to 3.9.8 (no changes).

 -- Kamal Mostafa <email address hidden> Tue, 22 Nov 2016 14:29:14 -0800

Changed in python-botocore (Ubuntu Yakkety):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package python-s3transfer - 0.1.9-1~16.10.0

---------------
python-s3transfer (0.1.9-1~16.10.0) yakkety; urgency=medium

  * No-change backport to Yakkety: required for awscli (1.11.13) (LP: #1642730)

python-s3transfer (0.1.9-1) unstable; urgency=medium

  * New upstream version 0.1.9

python-s3transfer (0.1.8-1) unstable; urgency=medium

  * Initial release. (Closes: #840662)

 -- Kamal Mostafa <email address hidden> Tue, 22 Nov 2016 14:20:34 -0800

Changed in python-s3transfer (Ubuntu Yakkety):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package awscli - 1.11.13-1~16.10.0

---------------
awscli (1.11.13-1~16.10.0) yakkety; urgency=medium

  * No-change backport to Yakkety:
    - This awscli update is required to support the Amazon EC2 "Elastic
      Network Adapter" ('ENA') driver (LP: #1642730)
    - Fix "AWSCLI doesn't support S3 in eu-central-1" (LP: #1566352)

awscli (1.11.13-1) unstable; urgency=medium

  * New upstream version 1.11.13 (Closes: #819451)
  * debian/patches: Refresh patches.

awscli (1.11.7-2) unstable; urgency=medium

  * debian/control: add python3-s3tranfert to B-D. (Closes: #841064)

awscli (1.11.7-1) unstable; urgency=medium

  * debian/control: Update Vcs-* to new git repository.
  * New upstream version 1.11.7

awscli (1.11.2-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 3.9.8
  * debian/rules: Change to library style layout.
  * debian/links: link from doc direcotory.
  * debian/control: Move to under DPMT.

 -- Kamal Mostafa <email address hidden> Tue, 22 Nov 2016 14:33:43 -0800

Changed in awscli (Ubuntu Yakkety):
status: Fix Committed → Fix Released
Revision history for this message
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package python-botocore - 1.4.70-1~16.04.0

---------------
python-botocore (1.4.70-1~16.04.0) xenial; urgency=medium

  * No-change backport to Xenial: required for awscli (1.11.13) (LP: #1642730)

python-botocore (1.4.70-1) unstable; urgency=medium

  * New upstream version 1.4.70
  * debian/patches: Refresh patches.

python-botocore (1.4.64-1) unstable; urgency=medium

  [ Ondřej Nový ]
  * Fixed VCS URL (https)

  [ TANIGUCHI Takaki ]
  * New upstream version 1.4.64

python-botocore (1.4.60-1) unstable; urgency=medium

  * New upstream release (Closes: #833014)
  * Bump Standards-Version to 3.9.8 (no changes).

 -- Kamal Mostafa <email address hidden> Tue, 22 Nov 2016 14:29:14 -0800

Changed in python-botocore (Ubuntu Xenial):
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  
Everyone can see this information.

Other bug subscribers